<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.3"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>NANO102/112 BSP: CRC Exported Constants</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../M0Banner_v2.jpg"/></td>
  <td id="projectalign">
   <div id="projectname">NANO102/112 BSP<span id="projectnumber">&#160;V3.04.000</span>
   </div>
   <div id="projectbrief">The Board Support Package for Nano102/112 Series</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.3 -->
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',false,false,'search.php','Search');
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#groups">Modules</a> &#124;
<a href="#define-members">Macros</a>  </div>
  <div class="headertitle"><div class="title">CRC Exported Constants<div class="ingroups"><a class="el" href="../../d8/dcc/group___n_a_n_o1_x2___device___driver.html">NANO102/112 Device Driver</a> &raquo; <a class="el" href="../../d0/d7f/group___n_a_n_o1_x2___c_r_c___driver.html">CRC Driver</a></div></div></div>
</div><!--header-->
<div class="contents">
<div class="dynheader">
Collaboration diagram for CRC Exported Constants:</div>
<div class="dyncontent">
<div class="center"><img src="../../d5/d95/group___n_a_n_o1_x2___c_r_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.png" border="0" usemap="#ad5_2d95_2group______n__a__n__o1__x2______c__r__c______e__x__p__o__r__t__e__d______c__o__n__s__t__a__n__t__s" alt=""/></div>
</div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="groups" name="groups"></a>
Modules</h2></td></tr>
<tr class="memitem:d1/d08/group___n_a_n_o1_x2___c_r_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d1/d08/group___n_a_n_o1_x2___c_r_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html">CRC Exported Functions</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="define-members" name="define-members"></a>
Macros</h2></td></tr>
<tr class="memitem:ga1c8431dfbf144f68548fcdcb09b605f4"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/d95/group___n_a_n_o1_x2___c_r_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga1c8431dfbf144f68548fcdcb09b605f4">CRC_CCITT</a>&#160;&#160;&#160;0x00000000UL</td></tr>
<tr class="separator:ga1c8431dfbf144f68548fcdcb09b605f4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga8e52750eccb4e3b43e187d43c47ee11c"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/d95/group___n_a_n_o1_x2___c_r_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga8e52750eccb4e3b43e187d43c47ee11c">CRC_8</a>&#160;&#160;&#160;0x40000000UL</td></tr>
<tr class="separator:ga8e52750eccb4e3b43e187d43c47ee11c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga4cce368b6e4d5d7c373ef499172f7d89"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/d95/group___n_a_n_o1_x2___c_r_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga4cce368b6e4d5d7c373ef499172f7d89">CRC_16</a>&#160;&#160;&#160;0x80000000UL</td></tr>
<tr class="separator:ga4cce368b6e4d5d7c373ef499172f7d89"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaf6aee885525d838fc93ed7d35d9c2d3b"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/d95/group___n_a_n_o1_x2___c_r_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gaf6aee885525d838fc93ed7d35d9c2d3b">CRC_32</a>&#160;&#160;&#160;0xC0000000UL</td></tr>
<tr class="separator:gaf6aee885525d838fc93ed7d35d9c2d3b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga9f5457261a4248ab335b6f023a59b566"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/d95/group___n_a_n_o1_x2___c_r_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga9f5457261a4248ab335b6f023a59b566">CRC_CHECKSUM_COM</a>&#160;&#160;&#160;0x08000000UL</td></tr>
<tr class="separator:ga9f5457261a4248ab335b6f023a59b566"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gacc11c2c98b498874bab47c5474419802"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/d95/group___n_a_n_o1_x2___c_r_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gacc11c2c98b498874bab47c5474419802">CRC_CHECKSUM_RVS</a>&#160;&#160;&#160;0x02000000UL</td></tr>
<tr class="separator:gacc11c2c98b498874bab47c5474419802"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga0e16dd5e3c3f5ccbbf98bb16f55d5b91"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/d95/group___n_a_n_o1_x2___c_r_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga0e16dd5e3c3f5ccbbf98bb16f55d5b91">CRC_WDATA_COM</a>&#160;&#160;&#160;0x04000000UL</td></tr>
<tr class="separator:ga0e16dd5e3c3f5ccbbf98bb16f55d5b91"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga470580021c1b2270c363a8c0e25c93c3"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/d95/group___n_a_n_o1_x2___c_r_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga470580021c1b2270c363a8c0e25c93c3">CRC_WDATA_RVS</a>&#160;&#160;&#160;0x01000000UL</td></tr>
<tr class="separator:ga470580021c1b2270c363a8c0e25c93c3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga0407652657f834c49aacc23b3ef006e5"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/d95/group___n_a_n_o1_x2___c_r_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga0407652657f834c49aacc23b3ef006e5">CRC_CPU_WDATA_8</a>&#160;&#160;&#160;0x00000000UL</td></tr>
<tr class="separator:ga0407652657f834c49aacc23b3ef006e5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaa566d8b56ee5cc4f2199faae732408c1"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/d95/group___n_a_n_o1_x2___c_r_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gaa566d8b56ee5cc4f2199faae732408c1">CRC_CPU_WDATA_16</a>&#160;&#160;&#160;0x10000000UL</td></tr>
<tr class="separator:gaa566d8b56ee5cc4f2199faae732408c1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga9a1a6e35a1611ad6c74fe882590b62c1"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/d95/group___n_a_n_o1_x2___c_r_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga9a1a6e35a1611ad6c74fe882590b62c1">CRC_CPU_WDATA_32</a>&#160;&#160;&#160;0x20000000UL</td></tr>
<tr class="separator:ga9a1a6e35a1611ad6c74fe882590b62c1"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<h2 class="groupheader">Macro Definition Documentation</h2>
<a id="ga4cce368b6e4d5d7c373ef499172f7d89" name="ga4cce368b6e4d5d7c373ef499172f7d89"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga4cce368b6e4d5d7c373ef499172f7d89">&#9670;&nbsp;</a></span>CRC_16</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define CRC_16&#160;&#160;&#160;0x80000000UL</td>
        </tr>
      </table>
</div><div class="memdoc">
<p >CRC Polynomial Mode - CRC16 </p>

<p class="definition">Definition at line <a class="el" href="../../dc/de6/crc_8h_source.html#l00038">38</a> of file <a class="el" href="../../dc/de6/crc_8h_source.html">crc.h</a>.</p>

</div>
</div>
<a id="gaf6aee885525d838fc93ed7d35d9c2d3b" name="gaf6aee885525d838fc93ed7d35d9c2d3b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#gaf6aee885525d838fc93ed7d35d9c2d3b">&#9670;&nbsp;</a></span>CRC_32</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define CRC_32&#160;&#160;&#160;0xC0000000UL</td>
        </tr>
      </table>
</div><div class="memdoc">
<p >CRC Polynomial Mode - CRC32 </p>

<p class="definition">Definition at line <a class="el" href="../../dc/de6/crc_8h_source.html#l00039">39</a> of file <a class="el" href="../../dc/de6/crc_8h_source.html">crc.h</a>.</p>

</div>
</div>
<a id="ga8e52750eccb4e3b43e187d43c47ee11c" name="ga8e52750eccb4e3b43e187d43c47ee11c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga8e52750eccb4e3b43e187d43c47ee11c">&#9670;&nbsp;</a></span>CRC_8</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define CRC_8&#160;&#160;&#160;0x40000000UL</td>
        </tr>
      </table>
</div><div class="memdoc">
<p >CRC Polynomial Mode - CRC8 </p>

<p class="definition">Definition at line <a class="el" href="../../dc/de6/crc_8h_source.html#l00037">37</a> of file <a class="el" href="../../dc/de6/crc_8h_source.html">crc.h</a>.</p>

</div>
</div>
<a id="ga1c8431dfbf144f68548fcdcb09b605f4" name="ga1c8431dfbf144f68548fcdcb09b605f4"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga1c8431dfbf144f68548fcdcb09b605f4">&#9670;&nbsp;</a></span>CRC_CCITT</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define CRC_CCITT&#160;&#160;&#160;0x00000000UL</td>
        </tr>
      </table>
</div><div class="memdoc">
<p >CRC Polynomial Mode - CCITT </p>

<p class="definition">Definition at line <a class="el" href="../../dc/de6/crc_8h_source.html#l00036">36</a> of file <a class="el" href="../../dc/de6/crc_8h_source.html">crc.h</a>.</p>

</div>
</div>
<a id="ga9f5457261a4248ab335b6f023a59b566" name="ga9f5457261a4248ab335b6f023a59b566"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga9f5457261a4248ab335b6f023a59b566">&#9670;&nbsp;</a></span>CRC_CHECKSUM_COM</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define CRC_CHECKSUM_COM&#160;&#160;&#160;0x08000000UL</td>
        </tr>
      </table>
</div><div class="memdoc">
<p >CRC Checksum Complement </p>

<p class="definition">Definition at line <a class="el" href="../../dc/de6/crc_8h_source.html#l00044">44</a> of file <a class="el" href="../../dc/de6/crc_8h_source.html">crc.h</a>.</p>

</div>
</div>
<a id="gacc11c2c98b498874bab47c5474419802" name="gacc11c2c98b498874bab47c5474419802"></a>
<h2 class="memtitle"><span class="permalink"><a href="#gacc11c2c98b498874bab47c5474419802">&#9670;&nbsp;</a></span>CRC_CHECKSUM_RVS</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define CRC_CHECKSUM_RVS&#160;&#160;&#160;0x02000000UL</td>
        </tr>
      </table>
</div><div class="memdoc">
<p >CRC Checksum Reverse </p>

<p class="definition">Definition at line <a class="el" href="../../dc/de6/crc_8h_source.html#l00045">45</a> of file <a class="el" href="../../dc/de6/crc_8h_source.html">crc.h</a>.</p>

</div>
</div>
<a id="gaa566d8b56ee5cc4f2199faae732408c1" name="gaa566d8b56ee5cc4f2199faae732408c1"></a>
<h2 class="memtitle"><span class="permalink"><a href="#gaa566d8b56ee5cc4f2199faae732408c1">&#9670;&nbsp;</a></span>CRC_CPU_WDATA_16</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define CRC_CPU_WDATA_16&#160;&#160;&#160;0x10000000UL</td>
        </tr>
      </table>
</div><div class="memdoc">
<p >CRC 16-bit CPU Write Data </p>

<p class="definition">Definition at line <a class="el" href="../../dc/de6/crc_8h_source.html#l00053">53</a> of file <a class="el" href="../../dc/de6/crc_8h_source.html">crc.h</a>.</p>

</div>
</div>
<a id="ga9a1a6e35a1611ad6c74fe882590b62c1" name="ga9a1a6e35a1611ad6c74fe882590b62c1"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga9a1a6e35a1611ad6c74fe882590b62c1">&#9670;&nbsp;</a></span>CRC_CPU_WDATA_32</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define CRC_CPU_WDATA_32&#160;&#160;&#160;0x20000000UL</td>
        </tr>
      </table>
</div><div class="memdoc">
<p >CRC 32-bit CPU Write Data </p>

<p class="definition">Definition at line <a class="el" href="../../dc/de6/crc_8h_source.html#l00054">54</a> of file <a class="el" href="../../dc/de6/crc_8h_source.html">crc.h</a>.</p>

</div>
</div>
<a id="ga0407652657f834c49aacc23b3ef006e5" name="ga0407652657f834c49aacc23b3ef006e5"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga0407652657f834c49aacc23b3ef006e5">&#9670;&nbsp;</a></span>CRC_CPU_WDATA_8</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define CRC_CPU_WDATA_8&#160;&#160;&#160;0x00000000UL</td>
        </tr>
      </table>
</div><div class="memdoc">
<p >CRC 8-bit CPU Write Data </p>

<p class="definition">Definition at line <a class="el" href="../../dc/de6/crc_8h_source.html#l00052">52</a> of file <a class="el" href="../../dc/de6/crc_8h_source.html">crc.h</a>.</p>

</div>
</div>
<a id="ga0e16dd5e3c3f5ccbbf98bb16f55d5b91" name="ga0e16dd5e3c3f5ccbbf98bb16f55d5b91"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga0e16dd5e3c3f5ccbbf98bb16f55d5b91">&#9670;&nbsp;</a></span>CRC_WDATA_COM</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define CRC_WDATA_COM&#160;&#160;&#160;0x04000000UL</td>
        </tr>
      </table>
</div><div class="memdoc">
<p >CRC Write Data Complement </p>

<p class="definition">Definition at line <a class="el" href="../../dc/de6/crc_8h_source.html#l00046">46</a> of file <a class="el" href="../../dc/de6/crc_8h_source.html">crc.h</a>.</p>

</div>
</div>
<a id="ga470580021c1b2270c363a8c0e25c93c3" name="ga470580021c1b2270c363a8c0e25c93c3"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga470580021c1b2270c363a8c0e25c93c3">&#9670;&nbsp;</a></span>CRC_WDATA_RVS</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define CRC_WDATA_RVS&#160;&#160;&#160;0x01000000UL</td>
        </tr>
      </table>
</div><div class="memdoc">
<p >CRC Write Data Reverse </p>

<p class="definition">Definition at line <a class="el" href="../../dc/de6/crc_8h_source.html#l00047">47</a> of file <a class="el" href="../../dc/de6/crc_8h_source.html">crc.h</a>.</p>

</div>
</div>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Fri Oct 18 2024 12:20:32 for NANO102/112 BSP by&#160;<a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.3
</small></address>
</body>
</html>
